#include <bits/stdc++.h>
#include <string>

using namespace std;

int n,m,i,j,q,w;

char mat[11][11];
bool prazno;





int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    cin>>n>>m;
    prazno=true;


    for(i=0;i<n;i++)
        for(j=0;j<m;j++)
            {
                cin>>mat[i][j];
                if(mat[i][j]!='.')
                    prazno=false;
            }
    if(prazno)
    {
        for(i=0;i<min(n,m);i++)
            mat[i][i]='C';
        for(i=0;i<n;i++)
        {
            for(j=0;j<m;j++)
                cout<<mat[i][j];
                cout<<"\n";
        }
    }
    else
    {
        cout<<-1;

    }



    return 0;
}